Skip to main content
`Ctrl`+`K`

# SNESAddOptionsChecker

Adds an additional function to check for `SNES` options.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESAddOptionsChecker(PetscErrorCode (*snescheck)(SNES snes))

Not Collective

## Input Parameter

- snescheck - function that checks for options

## Calling sequence of `snescheck`

- snes - the `SNES` object for which it is checking options

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESSetFromOptions()`

## Level

developer

## Location

src/snes/interface/snes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages